# This class lets a fleet attack a moon
class Fight
  # Creates a new instance of the fight club... uh... class
  def initialize(defender_moon,attacker_fleet)
    @strength = Hash.new
    @strength['defender'] = defender_moon.fleet.total_strength + defender_moon.satellite_count*2
    @strength['attacker'] = attacker_fleet.total_strength
    @remaining_strength = (@strength['defender'] - @strength['attacker']).abs
    @defender_moon = defender_moon
    @attacker_fleet = attacker_fleet
    @defender = defender_moon.player
    @attacker = attacker_fleet.player
    fight
  end
  
  # Let the fight take place
  def fight
    unless @defender.nil? # Let the production take place if the moon is owned by a player
      @defender.run_production
      @defender.save
    end
    shrink_all # Let the two fleets fight each other
    if defender_wins? # Destroy the attacking fleet
      @attacker_fleet.destroy
      @defender_moon.fleet.save
      @attacker.add_to_log("Your fleet lost against #{@defender_moon.name}.") unless @attacker.nil?
      @defender.add_to_log("Your fleet on #{@defender_moon.name} won against an attacking fleet.") unless @defender.nil?
    else # Attacker wins
      if @defender_moon.is_home_moon? # Send the attacking fleet back home if defender moon is a home moon
        @attacker_fleet.departure_on, @attacker_fleet.arrival_on = @attacker_fleet.arrival_on, @attacker_fleet.arrival_on+Game.round_length*@defender_moon.time_to_reach_from(Moon.find(@attacker_fleet.starting_moon))
        @attacker_fleet.starting_moon, @attacker_fleet.destination_moon = @attacker_fleet.destination_moon, @attacker_fleet.starting_moon
        @attacker.add_to_log("Your fleet won against #{@defender_moon.name} and is now on it's way back home.")
        @attacker_fleet.save
        unless @defender.nil?
          @defender.add_to_log("Your fleet on #{@defender_moon.name} has been destroyed.") unless @defender.nil?
          @defender.save
        end
      else # It's not a home moon, take it!
        unless @defender.nil?
          @defender.add_to_log("You lost #{@defender_moon.name} in a fight.") unless @defender.nil?
          @defender.save
        end
        @defender_moon.cancel_production
        @attacker_fleet.stop
        @defender_moon.player_id = @attacker.id
        @defender_moon.fleet.destroy
        @attacker_fleet.moon_id = @defender_moon.id
        @attacker.add_to_log("Your fleet captured #{@defender_moon.name}.")
        @attacker_fleet.save
        # Workaround for some odd error...
        begin
          @defender_moon.save
        rescue
        end
      end
    end
  end
  
  # Shrink all the fleets involved
  def shrink_all
    shrink_attacker
    shrink_defender
  end
  
  # Shrink the defender fleet including satellites on the defending moon
  def shrink_defender
    if defender_wins?
      until @defender_moon.total_strength <= @remaining_strength
        case rand(4)
        when 0:
          @defender_moon.fleet.weak_ships -= 1 if @defender_moon.fleet.weak_ships > 0
        when 1:
          @defender_moon.fleet.medium_ships -= 1 if @defender_moon.fleet.medium_ships > 0
        when 2:
          @defender_moon.fleet.strong_ships -= 1 if @defender_moon.fleet.strong_ships > 0
        when 3:
        @defender_moon.satellite_count -= 1 if @defender_moon.satellite_count > 0
        end
      end
    else
      @defender_moon.fleet.weak_ships = 0
      @defender_moon.fleet.medium_ships = 0
      @defender_moon.fleet.strong_ships = 0
      @defender_moon.satellite_count = 0
    end
    @defender_moon.fleet.save
    @defender_moon.save
  end
  
  # Shrink attacking fleet
  def shrink_attacker
    if defender_wins?
      @attacker_fleet.shrink_to_strength(0)
    else
      @attacker_fleet.shrink_to_strength(@remaining_strength)
    end
    @attacker_fleet.save
  end
  
  # Returns true if the defender wins
  def defender_wins?
    @strength['defender'] >= @strength['attacker']
  end
end
