# MySQL-Front 3.2  (Build 7.16)

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'latin1' */;

DROP DATABASE IF EXISTS `mowaon_development`;
CREATE DATABASE `mowaon_development` /*!40100 DEFAULT CHARACTER SET latin1 COLLATE latin1_general_ci */;
USE `mowaon_development`;
CREATE TABLE `fleets` (
  `id` int(11) NOT NULL auto_increment,
  `moon_id` int(11) default NULL,
  `player_id` int(11) default NULL,
  `weak_ships` int(11) default '0',
  `medium_ships` int(11) default '0',
  `strong_ships` int(11) default '0',
  `starting_moon` int(11) default NULL,
  `departure_on` datetime default NULL,
  `destination_moon` int(11) default NULL,
  `arrival_on` datetime default NULL,
  `moving` enum('false','true') default 'false',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `fleets` VALUES (1,1,1,3,5,2,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (54,3,1,1,1,1,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (55,4,1,1,1,0,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (59,27,NULL,3,3,2,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (60,28,NULL,3,3,3,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (61,29,NULL,3,3,2,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (62,30,NULL,3,3,3,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (63,31,NULL,3,3,2,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (64,22,1,0,0,5,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (66,32,NULL,0,0,0,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (68,34,NULL,3,3,2,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (69,35,NULL,3,2,1,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (70,36,NULL,3,3,2,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (71,37,NULL,3,3,3,NULL,NULL,NULL,NULL,'false');
INSERT INTO `fleets` VALUES (72,33,9,2,1,3,NULL,NULL,NULL,NULL,'false');

CREATE TABLE `log_events` (
  `id` int(11) NOT NULL auto_increment,
  `player_id` int(11) NOT NULL default '0',
  `created_on` datetime default NULL,
  `message` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `log_events` VALUES (225,1,'2005-12-21 19:33:02','You got 90 money from 2 moons for 6 rounds passed!');
INSERT INTO `log_events` VALUES (228,1,'2005-12-21 19:34:02','You got 0 money from k0zy');
INSERT INTO `log_events` VALUES (230,1,'2005-12-21 19:36:32','You got 5000 money from k0zy');
INSERT INTO `log_events` VALUES (232,1,'2005-12-21 19:37:54','You send 1593 money to TestPlayer');
INSERT INTO `log_events` VALUES (234,1,'2005-12-21 19:38:50','You got 15 money from 2 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (235,1,'2005-12-21 19:52:37','You got 10 money from 2 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (236,1,'2005-12-21 19:59:59','You got 15 money from 2 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (237,1,'2005-12-21 20:38:46','You got 60 money from 2 moons for 4 rounds passed!');
INSERT INTO `log_events` VALUES (238,1,'2005-12-21 20:45:29','Your fleet captured Nekiti.');
INSERT INTO `log_events` VALUES (239,1,'2005-12-21 20:48:26','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (240,1,'2005-12-21 21:09:02','You got 40 money from 3 moons for 2 rounds passed!');
INSERT INTO `log_events` VALUES (249,1,'2005-12-25 19:10:17','You got 11280 money from 3 moons for 564 rounds passed!');
INSERT INTO `log_events` VALUES (250,1,'2005-12-25 19:24:32','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (251,1,'2005-12-26 01:39:49','You got 760 money from 3 moons for 38 rounds passed!');
INSERT INTO `log_events` VALUES (252,1,'2005-12-26 20:02:01','You got 2200 money from 3 moons for 110 rounds passed!');
INSERT INTO `log_events` VALUES (253,1,'2005-12-26 20:35:02','You got 60 money from 3 moons for 3 rounds passed!');
INSERT INTO `log_events` VALUES (254,1,'2005-12-26 21:05:24','You got 60 money from 3 moons for 3 rounds passed!');
INSERT INTO `log_events` VALUES (255,1,'2005-12-26 21:51:45','You got 100 money from 3 moons for 5 rounds passed!');
INSERT INTO `log_events` VALUES (256,1,'2005-12-26 21:58:41','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (257,1,'2005-12-26 23:22:58','You got 160 money from 3 moons for 8 rounds passed!');
INSERT INTO `log_events` VALUES (258,1,'2005-12-26 23:49:18','You got 60 money from 3 moons for 3 rounds passed!');
INSERT INTO `log_events` VALUES (259,1,'2005-12-29 23:00:08','You got 8540 money from 3 moons for 427 rounds passed!');
INSERT INTO `log_events` VALUES (260,1,'2005-12-29 23:14:10','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (261,1,'2005-12-30 00:20:36','You got 140 money from 3 moons for 7 rounds passed!');
INSERT INTO `log_events` VALUES (262,1,'2006-01-12 08:59:49','You got 38480 money from 3 moons for 1924 rounds passed!');
INSERT INTO `log_events` VALUES (263,1,'2006-01-12 09:15:51','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (264,1,'2006-01-12 09:24:56','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (265,1,'2006-01-12 11:04:38','You got 200 money from 3 moons for 10 rounds passed!');
INSERT INTO `log_events` VALUES (266,1,'2006-01-12 11:04:38','Your fleet reached Bla2 and is now deployed there.');
INSERT INTO `log_events` VALUES (267,1,'2006-01-12 17:50:13','You got 820 money from 3 moons for 41 rounds passed!');
INSERT INTO `log_events` VALUES (268,1,'2006-01-12 17:58:30','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (269,1,'2006-01-12 18:14:19','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (270,1,'2006-01-12 18:25:54','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (271,1,'2006-01-13 12:30:53','You got 2180 money from 3 moons for 109 rounds passed!');
INSERT INTO `log_events` VALUES (272,1,'2006-01-13 12:38:26','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (273,1,'2006-01-13 15:28:13','You got 320 money from 3 moons for 16 rounds passed!');
INSERT INTO `log_events` VALUES (274,1,'2006-01-13 15:28:45','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (275,1,'2006-01-13 15:40:11','You got 20 money from 3 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (276,1,'2006-01-13 15:43:36','Your fleet captured Fonoza.');
INSERT INTO `log_events` VALUES (277,1,'2006-01-13 15:48:54','You got 30 money from 4 moons for 1 round passed!');
INSERT INTO `log_events` VALUES (278,1,'2006-01-13 15:50:32','Produced 5 Medium Ships on Juglag');
INSERT INTO `log_events` VALUES (279,9,'2006-01-13 21:13:06','Produced 1 Satellite on Blaneno');
INSERT INTO `log_events` VALUES (280,9,'2006-01-13 21:26:07','You got 20 money from 1 moons for 2 rounds passed!');
INSERT INTO `log_events` VALUES (281,9,'2006-01-13 21:36:57','Your fleet captured Datika.');
INSERT INTO `log_events` VALUES (282,9,'2006-01-13 21:37:12','You got 15 money from 2 moons for 1 round passed!');

CREATE TABLE `moons` (
  `id` int(11) NOT NULL auto_increment,
  `player_id` int(11) default NULL,
  `last_update_on` datetime default NULL,
  `size` enum('1','2','3') default NULL,
  `x_pos` int(11) default NULL,
  `y_pos` int(11) default NULL,
  `home_moon` enum('true','false') default 'false',
  `satellite_count` int(11) default '0',
  `name` varchar(25) default NULL,
  `product` enum('money','satellite','1','2','3') default NULL,
  `rounds_left` int(11) default '1',
  `amount` int(11) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `moons` VALUES (1,1,'2006-01-13 15:48:22','1',3,4,'true',0,'Juglag','money',1,1);
INSERT INTO `moons` VALUES (3,1,'2006-01-13 15:48:22','2',15,9,'false',0,'Fitoke','money',1,1);
INSERT INTO `moons` VALUES (4,1,'2006-01-13 15:48:22','1',27,38,'false',0,'Nekiti','money',1,1);
INSERT INTO `moons` VALUES (22,1,'2006-01-13 15:48:22','3',4,1,'false',0,'Fonoza','money',1,1);
INSERT INTO `moons` VALUES (23,NULL,NULL,'1',28,15,'false',0,'Kofeon','money',1,1);
INSERT INTO `moons` VALUES (24,NULL,NULL,'3',19,20,'false',0,'Zapuzox','money',1,1);
INSERT INTO `moons` VALUES (25,NULL,NULL,'2',8,7,'false',0,'Jokupuz','money',1,1);
INSERT INTO `moons` VALUES (26,NULL,NULL,'3',33,41,'false',0,'Joponi','money',1,1);
INSERT INTO `moons` VALUES (27,NULL,NULL,'2',34,14,'false',0,'Jiugte','money',1,1);
INSERT INTO `moons` VALUES (28,NULL,NULL,'3',23,9,'false',0,'Nufoke','money',1,1);
INSERT INTO `moons` VALUES (29,NULL,NULL,'2',22,30,'false',0,'Jakaza','money',1,1);
INSERT INTO `moons` VALUES (30,NULL,NULL,'3',14,14,'false',0,'Fublaba','money',1,1);
INSERT INTO `moons` VALUES (31,NULL,NULL,'2',47,44,'false',0,'Tebiju','money',1,1);
INSERT INTO `moons` VALUES (32,9,'2006-01-13 21:35:24','2',3,12,'true',1,'Blaneno','money',1,1);
INSERT INTO `moons` VALUES (33,9,'2006-01-13 21:35:24','1',11,11,'false',0,'Datika','money',1,1);
INSERT INTO `moons` VALUES (34,NULL,NULL,'2',9,5,'false',0,'Uxnetu','money',1,1);
INSERT INTO `moons` VALUES (35,NULL,NULL,'1',26,6,'false',0,'Onpepal','money',1,1);
INSERT INTO `moons` VALUES (36,NULL,NULL,'2',5,39,'false',0,'Blazano','money',1,1);
INSERT INTO `moons` VALUES (37,NULL,NULL,'3',13,44,'false',0,'Kejoke','money',1,1);

CREATE TABLE `players` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) default NULL,
  `money` int(11) default '5000',
  `points` int(11) default '0',
  `last_update_on` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci PACK_KEYS=0;

INSERT INTO `players` VALUES (1,1,144620,100,'2006-01-13 15:48:22');
INSERT INTO `players` VALUES (9,4,4935,0,'2006-01-13 21:35:24');

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(80) collate latin1_general_ci default NULL,
  `password` varchar(40) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci PACK_KEYS=0;

INSERT INTO `users` VALUES (1,'k0zy','d1cefcb606c37011d126da56cb4b4db52afe747c');
INSERT INTO `users` VALUES (4,'Test','9349bc4a8f81451d79fa978b72811814c8eacec2');

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
