# MySQL-Front 3.2  (Build 7.16)

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'latin1' */;

# Host: localhost    Database: mowaon_test
# ------------------------------------------------------
# Server version 4.1.13

DROP DATABASE IF EXISTS `mowaon_test`;
CREATE DATABASE `mowaon_test` /*!40100 DEFAULT CHARACTER SET latin1 COLLATE latin1_general_ci */;
USE `mowaon_test`;

#
# Table structure for table fleets
#

CREATE TABLE `fleets` (
  `id` int(11) NOT NULL auto_increment,
  `moon_id` int(11) default NULL,
  `player_id` int(11) default NULL,
  `weakships` int(11) default '0',
  `mediumships` int(11) default '0',
  `strongships` int(11) default '0',
  `starting_moon` int(11) default NULL,
  `departure_at` datetime default NULL,
  `destination_moon` int(11) default NULL,
  `arrival_at` datetime default NULL,
  `moving` enum('false','true') default 'false',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table fleets
#



#
# Table structure for table log_events
#

CREATE TABLE `log_events` (
  `id` int(11) NOT NULL auto_increment,
  `player_id` int(11) NOT NULL default '0',
  `created_on` datetime default NULL,
  `message` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table log_events
#



#
# Table structure for table moons
#

CREATE TABLE `moons` (
  `id` int(11) NOT NULL auto_increment,
  `player_id` int(11) default NULL,
  `size` enum('1','2','3') default NULL,
  `x_pos` int(11) default NULL,
  `y_pos` int(11) default NULL,
  `home_moon` enum('true','false') default 'false',
  `satellite_count` int(11) default '0',
  `name` varchar(25) default NULL,
  `product` enum('money','satellite','1','2','3') default NULL,
  `roundsleft` int(11) default '1',
  `amount` int(11) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table moons
#



#
# Table structure for table players
#

CREATE TABLE `players` (
  `id` int(11) NOT NULL auto_increment,
  `money` int(11) default NULL,
  `points` int(11) default NULL,
  `lastupdate` datetime default '0000-00-00 00:00:00',
  `user_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci PACK_KEYS=0;

#
# Dumping data for table players
#



#
# Table structure for table users
#

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(80) collate latin1_general_ci default NULL,
  `password` varchar(40) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci PACK_KEYS=0;

#
# Dumping data for table users
#


/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
