# MySQL-Front 3.2  (Build 7.16)

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES 'latin1' */;

DROP DATABASE IF EXISTS `mowaon_development`;
CREATE DATABASE `mowaon_development` /*!40100 DEFAULT CHARACTER SET latin1 COLLATE latin1_general_ci */;
USE `mowaon_development`;
CREATE TABLE `fleets` (
  `id` int(11) NOT NULL auto_increment,
  `moon_id` int(11) default NULL,
  `player_id` int(11) default NULL,
  `weak_ships` int(11) default '0',
  `medium_ships` int(11) default '0',
  `strong_ships` int(11) default '0',
  `starting_moon` int(11) default NULL,
  `departure_on` datetime default NULL,
  `destination_moon` int(11) default NULL,
  `arrival_on` datetime default NULL,
  `moving` enum('false','true') default 'false',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `log_events` (
  `id` int(11) NOT NULL auto_increment,
  `player_id` int(11) NOT NULL default '0',
  `created_on` datetime default NULL,
  `message` text,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `moons` (
  `id` int(11) NOT NULL auto_increment,
  `player_id` int(11) default NULL,
  `last_update_on` datetime default NULL,
  `size` enum('1','2','3') default NULL,
  `x_pos` int(11) default NULL,
  `y_pos` int(11) default NULL,
  `home_moon` enum('true','false') default 'false',
  `satellite_count` int(11) default '0',
  `name` varchar(25) default NULL,
  `product` enum('money','satellite','1','2','3') default NULL,
  `rounds_left` int(11) default '1',
  `amount` int(11) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `players` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) default NULL,
  `money` int(11) default '5000',
  `points` int(11) default '0',
  `last_update_on` datetime default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci PACK_KEYS=0;

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `login` varchar(80) collate latin1_general_ci default NULL,
  `password` varchar(40) collate latin1_general_ci default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci PACK_KEYS=0;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
