require File.dirname(__FILE__) + '/../test_helper'

class FightTest < Test::Unit::TestCase

  fixtures :moons,:fleets,:players,:users,:log_events

  def setup
    @defender_home_moon = Moon.find(1)
    @defender_moon = Moon.find(5)
    @defender_moon_strong = Moon.find(6)
    @attacker_fleet = Fleet.find(3)
    @attacker_fleet2 = Fleet.find(7)
    @attacker_fleet3 = Fleet.find(10)
  end

  def test_fight_home_moon
    attacker_dup = @attacker_fleet.clone
    Fight.new(@defender_home_moon,@attacker_fleet)
    assert_equal 0,@defender_home_moon.total_strength
    assert attacker_dup.total_strength > @attacker_fleet.total_strength
    assert_equal attacker_dup.starting_moon,@attacker_fleet.destination_moon
    assert_equal attacker_dup.destination_moon,@attacker_fleet.starting_moon
  end
  def test_fight_moon_win
    Fight.new(@defender_moon,@attacker_fleet2)
    @defender_moon = Moon.find(5)
    assert_equal @attacker_fleet2.id,@defender_moon.fleet.id
    assert_equal @attacker_fleet2.player.id,@defender_moon.player.id
  end
  def test_fight_moon_loose
    attacker_dup = @attacker_fleet3
    defender_moon_dup = @defender_moon_strong.clone
    #assert_exception(ActiveRecord::RecordNotFound) { Fight.new(@defender_moon_strong,@attacker_fleet3) }
    #assert_equal defender_moon_dup.player.id,@defender_moon_strong.player.id
  end

end
