require File.dirname(__FILE__) + '/../test_helper'

class FleetTest < Test::Unit::TestCase
  fixtures :fleets

  def setup
    @weak_fleet = Fleet.find(1)
    @medium_fleet = Fleet.find(2)
    @strong_moving_fleet = Fleet.find(3)
    @merge_me_fleet = Fleet.find(4)
    @stop_me_fleet = Fleet.find(5)
  end

  # Replace this with your real tests.
  def test_truth
    assert_kind_of Fleet,  @weak_fleet
  end
  def test_total_strength
    assert_equal 12,@weak_fleet.total_strength
    assert_equal 18,@medium_fleet.total_strength
    assert_equal 24,@strong_moving_fleet.total_strength
  end
  def test_wins_against
    assert !@weak_fleet.wins_against(@medium_fleet)
    assert @medium_fleet.wins_against(@weak_fleet)
    assert @strong_moving_fleet.wins_against(@medium_fleet)
  end
  def test_shrink_to_strength
    @medium_fleet.shrink_to_strength(6)
    assert 6 >= @medium_fleet.total_strength
  end
  def test_z_merge # z because this test needs to be the last test run
    old_strength = @weak_fleet.total_strength
    @weak_fleet.merge(@merge_me_fleet)
    assert @weak_fleet.total_strength > old_strength
    #assert_exception(ActiveRecord::RecordNotFound) { Fleet.find(4) }
  end
  def test_stop
    assert @stop_me_fleet.moving?
    assert_not_nil @stop_me_fleet.arrival_on
    @stop_me_fleet.stop
    assert !@stop_me_fleet.moving?
    assert_equal nil,@stop_me_fleet.arrival_on
  end
  def test_arrived
    assert @strong_moving_fleet.arrived?
    assert !@stop_me_fleet.arrived?
  end
  def test_substract
    old_strength = @stop_me_fleet.total_strength
    @stop_me_fleet.substract(@merge_me_fleet)
    assert_equal @stop_me_fleet.total_strength,old_strength-@merge_me_fleet.total_strength
  end
end
