require File.dirname(__FILE__) + '/../test_helper'

class MoonTest < Test::Unit::TestCase
  fixtures :moons,:fleets,:players,:users

  def setup
    @player_1_home_moon = Moon.find(1)
    @player_2_moon = Moon.find(2)
    @player_2_home_moon = Moon.find(3)
    @moon_without_fleet = Moon.find(4)
  end

  # Replace this with your real tests.
  def test_truth
    assert_kind_of Moon,  @player_1_home_moon
  end
  def test_is_home_moon
    assert @player_1_home_moon.is_home_moon?
    assert !@player_2_moon.is_home_moon?
  end
  def cancel_production
    money = @player_2_home_moon.player.money
    @player_2_home_moon.cancel_production
    assert_equal "money", @player_2_home_moon.product
    assert @player_2_home_moon.player.money > money
  end
  def test_create_fleet
    @moon_without_fleet.create_fleet
    assert_not_nil @moon_without_fleet.fleet
  end
  def test_produce_ships
    old_strength = @player_2_moon.total_strength
    old_money = @player_2_moon.player.money
    old_weakships = @player_2_moon.fleet.weak_ships
    @player_2_moon.produce_ships 1
    assert @player_2_moon.total_strength > old_strength
    assert @player_2_moon.player.money > old_money
    assert_equal old_weakships+1,@player_2_moon.fleet.weak_ships
    assert_equal "money",@player_2_moon.product
  end
  def test_make
    assert_kind_of Moon, Moon.make
  end
end
